XtGetApplicationResources(3Xt)

NAME
XtGetApplicationResources, XtVaGetApplicationResources - obtain application resources

SYNTAX

void XtGetApplicationResources(Widget w, XtPointer base, XtResourceList resources, Cardinal num_resources, ArgList args, Cardinal num_args);

void XtVaGetApplicationResources(Widget w, XtPointer base, XtResourceList resources, Cardinal num_resources, ...);

ARGUMENTS

args
    Specifies the argument list to override resources obtained from the resource database.

base
    Specifies the base address of the subpart data structure where the resources should be written.

num_args
    Specifies the number of arguments in the argument list.

num_resources
    Specifies the number of resources in the resource list.

resources
    Specifies the resource list for the subpart. or that identifies the resource database to search

w   Specifies the widget that wants resources for a subpart.

... Specifies the variable arguments to override resources obtained from the resource database.

DESCRIPTION
The function first uses the passed widget, which is usually an application shell, to construct a resource name and class list, Then, it retrieves the resources from the argument list, the resource database, or the resource list default values. After adding base to each address, copies the resources into the address given in the resource list. If args is NULL, num_args must be zero. However, if num_args is zero, the argument list is not referenced. The portable way to specify application resources is to declare them as members of a structure and pass the address of the structure as the base argument.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface